Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-42973

Unknown component location

    XMLWordPrintable

Details

    • MOODLE_26_STABLE
    • MOODLE_25_STABLE, MOODLE_26_STABLE, MOODLE_27_STABLE
    • w50_MDL-42973_m27_addonupd
    • Hide

      Test all upgrades and installs including various add-on states.

      Repeat following upgrade test in 2.5.x, 2.6.x and master

      1. normal upgrade from 2.4 - without any add-ons previously installed
      2. major upgrade step - install 2.4 again with several "outdated" addo-ns; delete some of those outdated add-on directories but keep others; upgrade; during upgrade fetch available updates; verify the present outdated add-on can be updated; in 2.6 and later it should be also possible to reinstall missing add-ons
      3. verify that missing plugins page is the last step after plugin overview - this should allow you to use any add-on upgrade order (previously you might get stuck on dependencies pages)

      Perform fresh installation in 2.5

      1. new install with some outdated addons
      2. after installation fetch updates and try installing updates

      Perform fresh installation in 2.6+master

      1. new install with some outdated addons
      2. after installation fetch updates and try installing updates
      3. delete some addon directory and verify it allows you to reinstall it

      hint: qtype_regexp is a good example of add-on with several dependencies

      Show
      Test all upgrades and installs including various add-on states. Repeat following upgrade test in 2.5.x, 2.6.x and master normal upgrade from 2.4 - without any add-ons previously installed major upgrade step - install 2.4 again with several "outdated" addo-ns; delete some of those outdated add-on directories but keep others; upgrade; during upgrade fetch available updates; verify the present outdated add-on can be updated; in 2.6 and later it should be also possible to reinstall missing add-ons verify that missing plugins page is the last step after plugin overview - this should allow you to use any add-on upgrade order (previously you might get stuck on dependencies pages) Perform fresh installation in 2.5 new install with some outdated addons after installation fetch updates and try installing updates Perform fresh installation in 2.6+master new install with some outdated addons after installation fetch updates and try installing updates delete some addon directory and verify it allows you to reinstall it hint: qtype_regexp is a good example of add-on with several dependencies
    • 40
    • BACKEND Sprint 7

    Description

      When I login into Moodle with admin, they go directly to /moodle/admin/index.php
      And I have an error/debug/codingerrorerror:

      Coding error detected, it must be fixed by a programmer: Unknown component location

      I upgraded from 2.5 to 2.6 with no problem.
      When I go to update plugins, I had a cURL error. I copied the moodleorgca.crt in moodledata. Then, error of Unknown component is the only taht I can see.

      This error appears even with a clean install of moodle 2.6, and deleting cache and sessions.

      Attachments

        Issue Links

          Activity

            People

              skodak Petr Skoda
              raul Raül Fernández
              Aparup Banerjee Aparup Banerjee
              Marina Glancy Marina Glancy
              Frédéric Massart Frédéric Massart
              Andrew Lyons, Huong Nguyen, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze, Matteo Scaramuccia, Andrew Lyons, Huong Nguyen, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze
              Votes:
              0 Vote for this issue
              Watchers:
              12 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:
                13/Jan/14